resultstring = figname;
scrsz = get(0,'ScreenSize');
set(0,'DefaultAxesFontName', 'Arial')
set(0,'DefaultAxesFontSize', 8)

ff = figure('visible',visib,'Position',[10  10 scrsz(3)/4+600 0.9*scrsz(4)]);
set(gcf,'color','w');

s1a = subplot(10,1,1);
pos1a = get(s1a,'Position');
plot(xxx,tposs,'Linewidth',2), hold on
plot(xxx,cposs,'Linewidth',2)
set(gca,'XTickLabel','')
title('A: Tracking performance')
ylabel('Position')
if tsk == 1

    legend('Target','Eye Position','Location',[0.2 0.92 0.04 0.04])
else
    plot(xxx(0.25*length(xxx):end),targ2*ones(1,length(xxx(0.25*length(xxx):end))),'m','Linewidth',2)

    legend('Target','Eye Position','Distractor','Location',[0.2 0.92 0.04 0.04])
    
end
set(s1a,'position',pos1a);

subplot(10,1,2)
plot(xxx,errors,'Linewidth',2)
set(gca,'XTickLabel','')
title('B: Relative position of eye with respect to target')
ylabel('Relative position')



s1 = subplot(10,1,3);
[tt,ff,pp] = spectro_gen(y,durat);
hh = imagesc(tt,ff,log(pp));
axis xy
axis([0 durat 0 100])
%xlabel('Time (s)')
ylabel('Freq (Hz)')
title('C: Spectrogram of total superficial cortical activity')
pos1 = get(s1,'Position');
hcb = colorbar('location','eastoutside');

set(s1,'position',pos1);
ylabel(hcb, 'log power')
set(gca,'XTickLabel','')

%set(gcf, 'units','normalized','outerposition',[0 0 1 1])

toplot = syn1s;

s1a = subplot(10,1,5);
rasterPlot(vs(ctxD,:),durat)
title('E: Raster plot: DLNs')
ylabel('Neuron #')
set(gca,'XTickLabel','')

s2 = subplot(10,1,4);
rasterPlot(vs(ctxS,:),durat)
% hold on
% plot(timevec(1:downsamp:end),5*sum(envel(thaS,1:downsamp:tlen)))

title('D: Raster plot: MLNs')
ylabel('Neuron #')
set(gca,'XTickLabel','')

s3 = subplot(10,1,6);
rasterPlot(vs(cPVS,:),durat)
title('F: Raster plot: PV-INs')
set(gca,'XTickLabel','')
ylabel('Neuron #')

s3a = subplot(10,1,7);
rasterPlot(vs(cCBS,:),durat)
title('G: Raster plot: CB-INs')
set(gca,'XTickLabel','')
ylabel('Neuron #')


s4 = subplot(10,1,8);
rasterPlot(vs(trnS,:),durat)
title('H: Raster plot: TRN')
ylabel('Neuron #')
set(gca,'XTickLabel','')

s5 = subplot(10,1,9);
rasterPlot(vs(thaS,:),durat)
title('I: Raster plot: Thalamus')
set(gca,'XTickLabel','')
ylabel('Neuron #')

% subplot(514)
% imagesc(xxx,yyy3,syn1s(cPVS,:))
s6 = subplot(10,1,10);
imagesc(xxx,yyy1,randInp(thaS,:))
axis xy
title('J: External thalamic input')
ylabel('Neuron #')
pos6 = get(s6,'Position');
hcb = colorbar('location','eastoutside');
set(s6,'position',pos6);
xlabel('Time (s)')

if saveData == 1
    tifname = [dirstring,'/',mstring,'_aseed_',num2str(seed),'_task',num2str(tsk),'manip_',mstr,'.tif'];
    %saveas(gcf,[dirstring,'/',mstring,'_aseed_',num2str(seed),'manip_',mstr,'_task',num2str(tsk),'_x'],imgtype)
    %set(gcf, 'PaperUnits', 'centimeters');
    set(gcf, 'PaperUnits', 'inches');
    set(gcf, 'PaperPosition', [0 0 9 12]); %x_width=10cm y_width=15cm
    %print -r300
    %saveas(gcf,tifname)
    print('-dtiff','-r150',tifname)
    %print(gcf,'-dtiff','-r300')
    %set(gcf,'PaperUnits','inches','PaperPosition',[0 0 4 3])
    %print -dtiff tifname -r300
    %     if exist('imgtype2')
    %         saveas(gcf,[dirstring,'/',mstring,'_aseed_',num2str(seed),'manip_',mstr,'_task',num2str(tsk),'_x'],imgtype2)
    %     end
    %     if ~exist('runexplorer','var')
     if svgflag == 1
         svgname = [dirstring,'/',mstring,'_aseed_',num2str(seed),'_task',num2str(tsk),'manip_',mstr,'.svg'];
         print('-dsvg',svgname)
     end
    %saveas(fig,[resultstring,'.eps'],'epsc')
    %    end
end

close all
